Package org.kapott.hbci.sepa.jaxb.camt_052_001_04

# Class PointOfInteractionCapabilities1

java.lang.Object
org.kapott.hbci.sepa.jaxb.camt_052_001_04.PointOfInteractionCapabilities1

public class PointOfInteractionCapabilities1 extends Object

Java class for PointOfInteractionCapabilities1 complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="PointOfInteractionCapabilities1">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="CardRdngCpblties" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.04}CardDataReading1Code" maxOccurs="unbounded" minOccurs="0"/>
             <element name="CrdhldrVrfctnCpblties" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.04}CardholderVerificationCapability1Code" maxOccurs="unbounded" minOccurs="0"/>
             <element name="OnLineCpblties" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.04}OnLineCapability1Code" minOccurs="0"/>
             <element name="DispCpblties" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.04}DisplayCapabilities1" maxOccurs="unbounded" minOccurs="0"/>
             <element name="PrtLineWidth" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.04}Max3NumericText" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

## Field Summary

Fields
Modifier and Type
Field
Description
`protected List<CardDataReading1Code>`
`cardRdngCpblties`
`protected List<CardholderVerificationCapability1Code>`
`crdhldrVrfctnCpblties`
`protected List<DisplayCapabilities1>`
`dispCpblties`
`protected OnLineCapability1Code`
`onLineCpblties`
`protected String`
`prtLineWidth`

## Constructor Summary

Constructors
Constructor
Description
`PointOfInteractionCapabilities1()`

## Method Summary

Modifier and Type
Method
Description
`List<CardDataReading1Code>`
`getCardRdngCpblties()`
Gets the value of the cardRdngCpblties property.
`List<CardholderVerificationCapability1Code>`
`getCrdhldrVrfctnCpblties()`
Gets the value of the crdhldrVrfctnCpblties property.
`List<DisplayCapabilities1>`
`getDispCpblties()`
Gets the value of the dispCpblties property.
`OnLineCapability1Code`
`getOnLineCpblties()`
Gets the value of the onLineCpblties property.
`String`
`getPrtLineWidth()`
Gets the value of the prtLineWidth property.
`void`
`setOnLineCpblties(OnLineCapability1Code value)`
Sets the value of the onLineCpblties property.
`void`
`setPrtLineWidth(String value)`
Sets the value of the prtLineWidth property.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### cardRdngCpblties

protected List<CardDataReading1Code> cardRdngCpblties

### crdhldrVrfctnCpblties

protected List<CardholderVerificationCapability1Code> crdhldrVrfctnCpblties

### onLineCpblties

protected OnLineCapability1Code onLineCpblties

### dispCpblties

protected List<DisplayCapabilities1> dispCpblties

### prtLineWidth

protected String prtLineWidth

## Constructor Details

### PointOfInteractionCapabilities1

public PointOfInteractionCapabilities1()

## Method Details

### getCardRdngCpblties

public List<CardDataReading1Code> getCardRdngCpblties()
Gets the value of the cardRdngCpblties property.

This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the cardRdngCpblties property.

For example, to add a new item, do as follows:

        getCardRdngCpblties().add(newItem);

Objects of the following type(s) are allowed in the list `CardDataReading1Code`

### getCrdhldrVrfctnCpblties

public List<CardholderVerificationCapability1Code> getCrdhldrVrfctnCpblties()
Gets the value of the crdhldrVrfctnCpblties property.

This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the crdhldrVrfctnCpblties property.

For example, to add a new item, do as follows:

        getCrdhldrVrfctnCpblties().add(newItem);

Objects of the following type(s) are allowed in the list `CardholderVerificationCapability1Code`

### getOnLineCpblties

public OnLineCapability1Code getOnLineCpblties()
Gets the value of the onLineCpblties property.

Returns:
  possible object is `OnLineCapability1Code`

### setOnLineCpblties

public void setOnLineCpblties(OnLineCapability1Code value)
Sets the value of the onLineCpblties property.

Parameters:
  `value` - allowed object is `OnLineCapability1Code`

### getDispCpblties

public List<DisplayCapabilities1> getDispCpblties()
Gets the value of the dispCpblties property.

This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the dispCpblties property.

For example, to add a new item, do as follows:

        getDispCpblties().add(newItem);

Objects of the following type(s) are allowed in the list `DisplayCapabilities1`

### getPrtLineWidth

public String getPrtLineWidth()
Gets the value of the prtLineWidth property.

Returns:
  possible object is `String`

### setPrtLineWidth

public void setPrtLineWidth(String value)
Sets the value of the prtLineWidth property.

Parameters:
  `value` - allowed object is `String`